Skip to main content
You can use the Vantage Mobile Input feature, which allows capturing, processing, and uploading documents directly from the mobile device to ABBYY Vantage. Vantage Mobile Input starts with obtaining a mobile upload link via the Vantage API. The link will contain the parameters defining the number and types of documents to be captured during the mobile input session, ABBYY Vantage skills to process uploaded documents and more. For more information about using the Vantage API, see the Swagger documentation. Mobile upload link can be used to initiate a mobile input session:
  • In micro applications for iOS and Android or web browser.
  • In the native iOS and Android applications.
To add the Vantage Mobile Input feature by getting the mobile upload link for the transaction, complete the following steps:
  1. Authenticate in ABBYY Vantage (see Authentication for detailed instructions).
Note: Each HTTP request to ABBYY Vantage should have a header containing an access token which the service will use to identify user in the system.
  1. View the list of available skills and find the ID of the skill you need to process documents.
To do so, send a GET request to the skills resource:
GET https://your-server/api/publicapi/v1/skills
Run the following command: For Windows:
curl -X GET "https://your-server/api/publicapi/v1/skills" \
-H "Authorization: Bearer token"
For Linux:
curl -X GET 'https://your-server/api/publicapi/v1/skills' \
-H 'Authorization: Bearer token'
As a result, you will receive information about all skills available for your account.
  1. Create an empty transaction by sending a POST request to the transactions resource, specifying the skillId parameter in the body of the request. To obtain the mobile upload link for that transaction, add the generateMobileInputLink parameter with the true value in the body of the request:
POST https://your-server/api/publicapi/v1/transactions
Run the following command: For Windows:
curl -X POST "https://your-server/api/publicapi/v1/transactions" \
-H "Authorization: Bearer token" \
-H "Content-Type: application/json" \
-d "{\"skillId\":\"123\", \"generateMobileInputLink\": true}"
For Linux:
curl -X POST 'https://your-server/api/publicapi/v1/transactions' \
-H 'Authorization: Bearer token' \
-H 'Content-Type: application/json' \
-d '{"skillId":"123", "generateMobileInputLink": true}'
After the transaction has been successfully created, you will receive a response with the transaction identifier and the mobile upload link: Response:
{
   "transactionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
   "mobileInputLink": "https://your-server/mobile?baseUrl=<base URL>&transactionId=<transaction-id>&token=<token>&v=<2.4>" 
}
The link will be valid for 30 minutes, after which a new link should be obtained. Note: If you use QR codes or buttons for uploading documents on your website, we recommend that these QR codes and buttons create a new transaction and/or refresh the token every 30 minutes. Otherwise, users will not be able to upload documents after the initial token expires. Using the obtained link, you can start Vantage Mobile Input with the Vantage API, configure with additional parameters, track the processing, and download the result. Instructions on how to take photos of documents and upload documents from a mobile device with the micro application for iOS and Android are available in the Uploading Documents from a Mobile Device section of the Quick Start Guide.